summaryrefslogtreecommitdiff
path: root/herbstluftwm/spblue
diff options
context:
space:
mode:
Diffstat (limited to 'herbstluftwm/spblue')
-rwxr-xr-xherbstluftwm/spblue17
1 files changed, 17 insertions, 0 deletions
diff --git a/herbstluftwm/spblue b/herbstluftwm/spblue
new file mode 100755
index 0000000..1f0c395
--- /dev/null
+++ b/herbstluftwm/spblue
@@ -0,0 +1,17 @@
+#!/bin/sh
+scratchpad=/tmp/herbstluftwm:spblue
+if xdotool search --onlyvisible --classname 'spblue'; then
+ if [ "`herbstclient list_monitors | grep '[FOCUS]' | cut -d\\\" -f2`" = "`herbstclient attr clients.$(cat $scratchpad) | grep 's - - tag' | awk '{ print $6 }' | sed 's/\"//g'`" ]; then
+ xdotool search -onlyvisible -classname 'spblue' windowunmap
+ exit
+ fi
+fi
+if [ -f $scratchpad ]; then
+ if ! herbstclient bring $(cat $scratchpad); then xdotool search -classname 'spblue' windowmap && exit
+ fi
+fi
+if ! xdotool search --classname 'spblue' windowmap; then
+ setsid -f st -t 'spblue' -n 'spblue' -- zsh -c bluetoothctl
+ xdotool search -sync -onlyvisible -classname 'spblue'
+ herbstclient attr clients.focus.winid > $scratchpad
+fi